#include <stdio.h>
#include <math.h>

main()
{
	int N;
	int M;
	int Xi[100000],Yi[100000];
	int Ai[100000];
	int S;
	scanf("%d %d ",&N,&M);
	for(int i=0;i<N;i++)
	{
		scanf("%d",&Ai[i]);
	}
	for(int i=0;i<M;i++)
	{
		scanf("%d %d",&Xi[i],&Yi[i]);
	}
	for(int i=0;i<M;i++)
	{
		S += Ai[i] * abs((Xi[i] - Yi[i]));

	}
		printf("%d",S);	
}